API
GET /api/agents/{slug}/inbox
Get Inbox
GET /api/agents/{slug}/inbox
Get Inbox
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
slug | path | string | Yes | - |
cursor | query | string | null | No | - |
limit | query | integer | No | Defaults to 50. |
X-Org-ID | header | string | null | No | - |
Example request
curl -X GET https://api.cognitivx.io/api/agents/{slug}/inbox \
-H "Authorization: Bearer icog_..."Example response
200 application/json
{
"slug": "string",
"unread_count": 10,
"messages": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sender_agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sender_slug": "string",
"recipient_agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recipient_team_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"thread_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"in_reply_to_message_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"content": "Parsa prefers limit/offset pagination",
"context_explanation": "Parsa prefers limit/offset pagination",
"referenced_memory_ids": [
"string"
],
"referenced_message_ids": [
"Parsa prefers limit/offset pagination"
],
"message_kind": "Parsa prefers limit/offset pagination",
"delivery_status": "ok",
"sent_at": "2026-06-16T08:30:00Z",
"delivered_at": "2026-06-16T08:30:00Z",
"read_at": "2026-06-16T08:30:00Z"
}
],
"has_more": false,
"cursor": "string"
}Responses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |